<div class="setup-inner-steps setup-requirements">

    <form class="form-horizontal" id="setupForm" name="setupForm">


        <div class="alert alert-info m-b-25">
            <h5 class="text-info m-b-20"><i class="sl-icon-info"></i> Database Configuration</h5>
            <ul class="p-b-0">
                <li class="m-b-14">The CRM needs to be able to <span class="font-weight-500 text-default">create
                        new databases dynamically</span></li>
                <li class="m-b-14">A new database is created for every new customer account</li>
                <li>Select which method which the CRM will use for creating new databases</li>
            </ul>
        </div>


        <div class="x-title text-center p-t-10 p-b-15">
            <h4 class="text-info">Database Creation Method</h4>
        </div>

        <div class="form-group row align-items-center m-b-40">
            <div class="col-lg-2">
            </div>
            <div class="col-lg-8">
                <select class="select2-basic form-control form-control-sm select2-preselected" id="database_config_type"
                    name="database_config_type" data-placeholder="Select Option">
                    <option></option>
                    <option value="direct">MySQL User - (User must have permission to create databases)</option>
                    <option value="cpanel">Cpanel API - (If your web hosting control panel is Cpanel)</option>
                </select>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
    </form>




    <!--MYSQL USER-->
    <div class="panel-contrast-3 m-b-20 hidden setup_database_options" id="setup_database_mysql_user">
        <form class="form-horizontal">


            <!--username-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">MySQL Username</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_mysql_username"
                        name="database_config_mysql_username" value="">
                </div>
            </div>


            <!--password-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">MySQL Password</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_mysql_password"
                        name="database_config_mysql_password" value="">
                </div>
            </div>

            <!--server host-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">MySQL Host</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_mysql_host"
                        name="database_config_mysql_host" value="localhost">
                </div>
            </div>

            <!--server port-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">MySQL Port</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_mysql_port"
                        name="database_config_mysql_port" value="3306">
                </div>
            </div>

            <!--database prefix-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">Database Prefix (optional)</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_mysql_prefix"
                        name="database_config_mysql_prefix" value="growcrm_">
                </div>
            </div>

            <!--continue-->
            <div class="x-button text-right p-t-20">
                <button class="btn waves-effect waves-light btn-info btn-extra-padding ajax-request"
                    data-button-loading-annimation="yes" data-button-disable-on-click="yes" data-type="form"
                    data-ajax-type="post" data-form-id="setup_database_mysql_user" id="continueButton" type="submit"
                    data-url="{{url('install/database/mysql') }}">Continue</button>
            </div>
        </form>
    </div>


    <!--CPANEL API-->
    <div class="panel-contrast-3 m-b-20 hidden setup_database_options" id="setup_database_cpanel_api">
        <form class="form-horizontal">


            <!--username-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">Cpanel Username</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_cpanel_username"
                        name="database_config_cpanel_username" value="">
                </div>
            </div>


            <!--password-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">Cpanel API Key</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_cpanel_api_key"
                        name="database_config_cpanel_api_key" value="">
                </div>
            </div>

            <!--cpanel URL-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">Cpanel URL</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_cpanel_api_url"
                        name="database_config_cpanel_api_url" value="{{ cpanelURL() }}">
                </div>
            </div>

            <!--server host-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">MySQL Host</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_cpanel_host"
                        name="database_config_cpanel_host" value="localhost">
                </div>
            </div>

            <!--server port-->
            <div class="form-group row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label">MySQL Port</label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="database_config_cpanel_port"
                        name="database_config_cpanel_port" value="3306">
                </div>
            </div>

            <!--continue-->
            <div class="x-button text-right p-t-20">
                <button class="btn waves-effect waves-light btn-info btn-extra-padding ajax-request"
                    data-button-loading-annimation="yes" data-button-disable-on-click="yes" data-type="form"
                    data-ajax-type="post" data-form-id="setup_database_cpanel_api" id="continueButton" type="submit"
                    data-url="{{ url('install/database/cpanel') }}">Continue</button>
            </div>
        </form>
    </div>

</div>